Bug 1210674 (CVE-2015-1859)

Summary: CVE-2015-1859 qt: segmentation fault in qicohandler.cpp
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: itamar, jgrulich, jreznik, kevin, rdieter, rnovacek, smparrish, than
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A memory corruption flaw was found in the way Qt handled certain Icon (ICO) files. If a user loaded a specially crafted ICO image file with an application linked against Qt, it could cause the application to crash or, possibly, execute arbitrary code with the privileges of the user running the application.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-22 10:54:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1210677    
Bug Blocks: 1210676    

Description Vasyl Kaigorodov 2015-04-10 10:49:51 UTC
Fuzzing test revealed that for certain malformed ico files, the handler would segfault.

Upstream fix: https://codereview.qt-project.org/#/c/108312/

Acknowledgements:

Red Hat would like to thank Richard Moore of KDE for reporting this issue.

Comment 1 Vasyl Kaigorodov 2015-04-10 10:52:41 UTC
Created qt tracking bugs for this issue:

Affects: fedora-all [bug 1210677]

Comment 2 Stefan Cornelius 2015-04-17 14:19:59 UTC
References:

Upstream advisory:
http://lists.qt-project.org/pipermail/announce/2015-April/000067.html

Comment 3 Fedora Update System 2015-04-21 19:11:38 UTC
qt5-qtbase-5.4.1-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Kevin Kofler 2015-04-21 23:37:06 UTC
To the best of my knowledge, Qt 3 is NOT vulnerable to this issue, because it does not include an ICO reader. (ICO reading in Qt 3 was provided only in kdelibs3's kimgio, which uses completely different code.)

Qt 4 and Qt 5 are vulnerable, and Fedora updates correcting this vulnerability have been issued.

Comment 6 Fedora Update System 2015-04-23 16:10:03 UTC
qt-4.8.6-28.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-26 12:43:32 UTC
qt5-qtbase-5.4.1-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-26 12:45:45 UTC
qt5-qtbase-5.4.1-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-29 19:18:16 UTC
qt5-qtbase-5.4.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-30 11:45:40 UTC
qt-4.8.6-28.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.